package com.goafanti.RD.bo;

import com.goafanti.common.utils.excel.Excel;
import groovy.transform.builder.Builder;

import java.math.BigDecimal;

public class OutWordRdDetails {



    /**
     * 公司名称
     */
    private String userName;

    /**
     * 研发活动编号
     */
    private String rdNo;

    /**
     * 知识产权编号
     */
    private String ipNo;

    /**
     * 发研活动名称
     */
    private String rdName;



    private String  rdStartStr;


    private String  rdEndStr;

    private String startEndTime;


    /**
     * 技术领域
     */
    private String technicalField;

    /**
     * 技术来源
     */
    private String technologySource;

    /**
     * 研发经费总预算（万元）
     */
    private BigDecimal totalAmount;

    /**
     * 研发经费近三年总支出（万元）
     */
    private BigDecimal recentThreeAmount;

    /**
     * 研发目的及组织实施方式
     */
    private String rdObjective;

    /**
     * 核心技术及创新点
     */
    private String coreTechnology;

    /**
     * 取得的创段性成果
     */
    private String achieveResults;


    /**
     * 咨询师名称
     */
    private String consultantName;


    public String getStartEndTime() {
        return startEndTime;
    }

    public void setStartEndTime(String startEndTime) {
        this.startEndTime = startEndTime;
    }

    public String getUserName() {
        return userName;
    }


    public void setUserName(String userName) {
        this.userName = userName;
    }


    public String getRdNo() {
        return rdNo;
    }


    public void setRdNo(String rdNo) {
        this.rdNo = rdNo;
    }


    public String getIpNo() {
        return ipNo;
    }


    public void setIpNo(String ipNo) {
        this.ipNo = ipNo;
    }


    public String getRdName() {
        return rdName;
    }


    public void setRdName(String rdName) {
        this.rdName = rdName;
    }


    public String getRdStartStr() {
        return rdStartStr;
    }


    public void setRdStartStr(String rdStartStr) {
        this.rdStartStr = rdStartStr;
    }


    public String getRdEndStr() {
        return rdEndStr;
    }


    public void setRdEndStr(String rdEndStr) {
        this.rdEndStr = rdEndStr;
    }


    public String getTechnicalField() {
        return technicalField;
    }


    public void setTechnicalField(String technicalField) {
        this.technicalField = technicalField;
    }


    public String getTechnologySource() {
        return technologySource;
    }


    public void setTechnologySource(String technologySource) {
        this.technologySource = technologySource;
    }


    public BigDecimal getTotalAmount() {
        return totalAmount;
    }


    public void setTotalAmount(BigDecimal totalAmount) {
        this.totalAmount = totalAmount;
    }


    public BigDecimal getRecentThreeAmount() {
        return recentThreeAmount;
    }


    public void setRecentThreeAmount(BigDecimal recentThreeAmount) {
        this.recentThreeAmount = recentThreeAmount;
    }


    public String getRdObjective() {
        return rdObjective;
    }


    public void setRdObjective(String rdObjective) {
        this.rdObjective = rdObjective;
    }


    public String getCoreTechnology() {
        return coreTechnology;
    }


    public void setCoreTechnology(String coreTechnology) {
        this.coreTechnology = coreTechnology;
    }


    public String getAchieveResults() {
        return achieveResults;
    }


    public void setAchieveResults(String achieveResults) {
        this.achieveResults = achieveResults;
    }


    public String getConsultantName() {
        return consultantName;
    }


    public void setConsultantName(String consultantName) {
        this.consultantName = consultantName;
    }
}
